# encoding: utf-8

# ------------------------------------------------------------------------------
# Copyright (c) 2020 Micro Focus or one of its affiliates.
#
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

# File:	include/novell-nssad/helps.ycp
# Package:	Configuration of novell-nssad
# Summary:	Help texts of all the dialogs
# Authors:	Suresh K. Hosamani <hsuresh@novell.com>
#
# $Id: helps.ycp 27914 2006-02-13 14:32:08Z locilka $
module Yast
  module NovellNssadHelpsInclude
    def initialize_novell_nssad_helps(include_target)
      textdomain "novell-nssad"

      # All helps are here
      @HELPS = {
        "uac"   => _(
          "<p><b><big>User Access Restrictions</big></b><br><br>\n" +
            "<b>To control access to the NSS resources for the Active Directory users:</b><br> <br>\n" +
            "<b>Single Forest Environment:</b> Create a Universal Group with the sAMAccountName \"OESAccessGrp\" anywhere in the AD forest. Only the members of this group will have access to the NSS resources based on their trustee assignments. In absence of this group, all the AD users in the forest can access the NSS resources based on their trustee assignments.</p>\n" +
            "<b>Multi Forest Environment:</b> Create a Domain Local Group (DLG) with the sAMAccountName \"DLOESAccessGrp\" in the AD domain to which this OES server is joined. Only the members of this group (OES forest and across forest) will have\n" +
            "access to the NSS resources based on their trustee assignments. In absence of this group, the AD users across the forest cannot access the NSS resources.</p> <br><br>\n" +
            "Before proceeding, ensure to refer the NSS AD Deployment guide.</p>\n"
        ),
        # Read dialog help 1/2
        "read"  => _(
          "<p><b><big>Initializing OES Storage Services AD Support Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization:</big></b><br>\nSafely abort the configuration utility by pressing <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write" => _(
          "<p><b><big>Saving OES Storage Services AD Support Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Abort the save procedure by pressing <b>Abort</b>.\n" +
              "An additional dialog informs whether it is safe to do so.\n" +
              "</p>\n"
          ),
        "c1"    => _(
          "<p><b><big>AD Domain Name</big></b><br>\nSpecify the AD Domain name to which the OES server will be joined.</p>\n"
        ) +
          _(
            "<p><b><big>AD Supervisor Group</big></b><br>\nSpecify the AD Supervisor group name. The AD users belonging to this group will have supervisory rights for all the volumes associated with that OES server.</p> \n"
          ) +
          _(
            "<p><b><big>AD User Name and Password</big></b><br>\nSpecify the credentials of an AD user who has necessary permissions to join a domain.</p>\n"
          ) +
          _(
            "<p><b><big>Container to create Computer Object</big></b><br>\nSpecify the AD container name under which the OES computer object is created. Ensure that the specified container already exists in the AD server. The default container name is CN=Computers.  </p>\n"
          ) +
          _(
            "<p><b><big>Use pre-created computer object</big></b><br>\nSelect this option if you want to use an existing OES computer object created under the container name specified in the Default AD Container field.</p>\n"
          ) +
          # _("<p><b><big>Enable SSH/SCP for AD users</big></b><br>
          # Select this option if you want to Enable SSH/SCP for AD users.</p>
          # ") +
          _(
            "<p><b><big>Novell Identity Translator (NIT)</big></b><br>\nNovell Identity Translator (NIT) provides allocation and management of eDirectory and Active Directory user identities such as UID number, GUID, SID and name. NIT provides a mapping of these user identities that enable you to translate from one user identity to another.</p>\n"
          ) +
          _(
            "<p><i>The UID range should be within 100000 to 2147483647.</i></p>"
          ) +
          _(
            "<p><b><big>Start</big></b><br>\nSpecify the start value for UID allocation. NIT will allocate UIDs starting with the specified value.</p>\n"
          ) +
          _(
            "<p><b><big>End</big></b><br>\nSpecify the end value for UID allocation. NIT will not allocate UIDs beyond the specified value.</p>\n"
          )
      } 

      # EOF
    end
  end
end
